/**
 * output package name
 */
package com.kingdee.eas.custom.notify.bziEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class todoType extends StringEnum
{
    public static final String SENDTODO_VALUE = "1";//alias=发送待办
    public static final String UPDATETODO_VALUE = "2";//alias=更新待办
    public static final String SETTODODONE_VALUE = "3";//alias=置为已办
    public static final String DELETETODO_VALUE = "4";//alias=删除待办

    public static final todoType sendTodo = new todoType("sendTodo", SENDTODO_VALUE);
    public static final todoType updateTodo = new todoType("updateTodo", UPDATETODO_VALUE);
    public static final todoType setTodoDone = new todoType("setTodoDone", SETTODODONE_VALUE);
    public static final todoType deleteTodo = new todoType("deleteTodo", DELETETODO_VALUE);

    /**
     * construct function
     * @param String todoType
     */
    private todoType(String name, String todoType)
    {
        super(name, todoType);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static todoType getEnum(String todoType)
    {
        return (todoType)getEnum(todoType.class, todoType);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(todoType.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(todoType.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(todoType.class);
    }
}